Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(28)

Issue 2212973002: openjpeg: Prevent integer overflows during calculation of |l_nb_code_blocks_size| (Closed)

Created:
3 years, 2 months ago by Giwan Go
Modified:
3 years, 2 months ago
Reviewers:
Lei Zhang, Oliver Chang
CC:
pdfium-reviews_googlegroups.com
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Target Ref:
refs/heads/master
Project:
pdfium
Visibility:
Public.

Description

openjpeg: Prevent integer overflows during calculation of |l_nb_code_blocks_size| BUG=628890 R=ochang@chromium.org Committed: https://pdfium.googlesource.com/pdfium/+/ff74356915d4c7f7c6eb16de1e9f403da4ecb6d5

Patch Set 1 #

Patch Set 2 : openjpeg: Prevent integer overflows during calculation of |l_nb_code_blocks_size| #

Unified diffs Side-by-side diffs Delta from patch set Stats (+39 lines, -0 lines) Patch
M AUTHORS View 1 1 chunk +1 line, -0 lines 0 comments Download
A third_party/libopenjpeg20/0019-tcd_init_tile.patch View 1 chunk +30 lines, -0 lines 0 comments Download
M third_party/libopenjpeg20/README.pdfium View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/libopenjpeg20/tcd.c View 1 chunk +7 lines, -0 lines 0 comments Download

Messages

Total messages: 15 (5 generated)
Giwan Go
3 years, 2 months ago (2016-08-04 14:32:08 UTC) #2
Lei Zhang
Would you like to add yourself to the AUTHORS file?
3 years, 2 months ago (2016-08-04 19:31:14 UTC) #5
Lei Zhang
Otherwise looks good.
3 years, 2 months ago (2016-08-04 19:34:14 UTC) #6
Giwan Go
On 2016/08/04 19:31:14, Lei Zhang wrote: > Would you like to add yourself to the ...
3 years, 2 months ago (2016-08-04 22:41:32 UTC) #7
Lei Zhang
Just do it here, rather than in a CL? On the git branch associated with ...
3 years, 2 months ago (2016-08-04 22:43:18 UTC) #8
Giwan Go
On 2016/08/04 22:43:18, Lei Zhang wrote: > Just do it here, rather than in a ...
3 years, 2 months ago (2016-08-04 23:08:19 UTC) #9
Lei Zhang
Thanks. lgtm (and then I will check the commit checkbox)
3 years, 2 months ago (2016-08-04 23:10:02 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2212973002/20001
3 years, 2 months ago (2016-08-04 23:10:12 UTC) #12
commit-bot: I haz the power
Committed patchset #2 (id:20001) as https://pdfium.googlesource.com/pdfium/+/ff74356915d4c7f7c6eb16de1e9f403da4ecb6d5
3 years, 2 months ago (2016-08-04 23:48:07 UTC) #14
Oliver Chang
3 years, 2 months ago (2016-08-08 16:06:56 UTC) #15
Message was sent while issue was closed.
lgtm

Powered by Google App Engine
This is Rietveld 408576698